# Uses of Class
org.apache.lucene.index.TwoPhaseCommitTool.PrepareCommitFailException

Packages that use TwoPhaseCommitTool.PrepareCommitFailException
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of TwoPhaseCommitTool.PrepareCommitFailException in org.apache.lucene.index

  Methods in org.apache.lucene.index that throw TwoPhaseCommitTool.PrepareCommitFailException
  Modifier and Type
  Method
  Description
  `static void`
  TwoPhaseCommitTool.`execute(TwoPhaseCommit... objects)`
  Executes a 2-phase commit algorithm by first `TwoPhaseCommit.prepareCommit()` all objects and only if all succeed, it proceeds with `TwoPhaseCommit.commit()`.